<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/commons/configuration2/builder/combined/class-use/CombinedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="CombinedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder" class="title">Uses of Class<br>org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.fluent">org.apache.commons.configuration2.builder.fluent</a></td>
<td class="colLast">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a> in <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a> in <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingCombinedConfigurationBuilder</a></span></code>
<div class="block">
 An extension of <code>CombinedConfigurationBuilder</code> which also supports
 reloading operations.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getConfigurationBuilder--">getConfigurationBuilder</a></span>()</code>
<div class="block">Returns the associated configuration builder.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with parameters of type <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#ConfigurationDeclaration-org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder-org.apache.commons.configuration2.HierarchicalConfiguration-">ConfigurationDeclaration</a></span>(<a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;builder,
                        <a href="../../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates a new instance of <code>ConfigurationDeclaration</code> and
 initializes it.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.fluent">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a> in <a href="../../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a> that return <a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combinedBuilder-java.io.File-">combinedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a builder for a <code>CombinedConfiguration</code> and initializes it
 with the given file to be loaded.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combinedBuilder-java.lang.String-">combinedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a builder for a <code>CombinedConfiguration</code> and initializes it
 with the given path to the file to be loaded.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combinedBuilder-java.net.URL-">combinedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a builder for a <code>CombinedConfiguration</code> and initializes it
 with the given URL to be loaded.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/commons/configuration2/builder/combined/class-use/CombinedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="CombinedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
